var webpack = require('webpack');
var libraryName = 'pawsqlite';
var outputFile = libraryName + '.js';

var config = {
  mode: 'development',
  entry: __dirname + '/src/pawsqlite_cjs.mjs',
  devtool: 'source-map',
  output: {
    path: __dirname + '/cjs',
    filename: outputFile,
    libraryExport: 'default',
    libraryTarget: 'commonjs2',
  }
};

module.exports = config;
